GG(1)

NAME
gg - gemini client

SYNOPSIS
gg [-23Nnq] [-C cert] [-d mode] [-H sni] [-K key] [-P host[:port]] [-T seconds] gemini://...

DESCRIPTION
gg (gemini get) fetches the given gemini page and prints it to standard output.

The options are as follows:

-2  Use TLSv1.2.

-3  Use TLSv1.3.

-C certificate
    Use the given client certificate.

-d mode
    Specify what gg should print. mode can be one of:
    none
        print only the body of the reply, the default.
    code
        print only the response code.
    header
        print only the response header.
    meta
        print only the response meta.
    all print the whole response as-is.

-H sni
    Use the given sni host name instead of the one deducted by the IRI or proxy.

-K key
    Specify the key for the certificate. It's mandatory if -C is used.

-N  Disables the server name verification.

-n  Check the given IRI for validity, but don't issue any requests.

-P host[:port]
    Connect to the given host and port to do the request instead of the ones extracted by the IRI. port is by default 1965. IPv6 addresses have to be wrapped in braces, for e.g. [::1].

-q  Don't print server error messages to standard error.

-T seconds
    Kill gg after seconds.

EXIT STATUS
The gg utility exits with zero if the response code was in the 2x range. If a failure occurs, it exits with status code 1. Otherwise, the error code reflects the Gemini response code.

ACKNOWLEDGEMENTS
gg uses the “Flexible and Economical” UTF-8 decoder written by Bjoern Hoehrmann.

SEE ALSO
ftp(1), titan(1)

AUTHORS
-nosplit The gg utility was written by Omar Polo <op@omarpolo.com>.

CAVEATS
gg doesn't perform TOFU (Trust On First Use) or any X.509 certificate validation beyond the name verification.

gg doesn't follow redirects.